package cn.autocode;

import java.io.File;
import java.util.ArrayList;
import java.util.List;


public class DELETE_AUTO_FILE {		
	
	static String baseDir=System.getProperty("user.dir")+File.separator+"";
	public static void main(String[] args) {
		DELETE_AUTO_FILE c=new DELETE_AUTO_FILE();
		String path_src = baseDir+"/src/cn/im/";
		String path_web = baseDir+"/WebRoot/im/";
		System.out.println("=path_src="+path_src); 
		List ls = read(path_src);
		System.out.println("=path_src="+path_src); 
		List ls2 = read(path_web);
		//不启用功能
	}	
	
	private static List read(String fileDir) {  
        List<File> fileList = new ArrayList<File>();  
        File file = new File(fileDir);  
        File[] files = file.listFiles();// 获取目录下的所有文件或文件夹  
        if (files == null) {// 如果目录为空，直接退出  
            return null;  
        }  
        // 遍历，目录下的所有文件  
        for (File f : files) {  
            if (f.isFile()) {  
                fileList.add(f);  
            } else if (f.isDirectory()) {  
                //System.out.println(f.getAbsolutePath());  
                read(f.getAbsolutePath());  
            }  
        }  
        for (File f1 : fileList) {              
            if(f1.getName().indexOf(".")==-1){
            	//System.out.println(f1.getName()); 
            	if(f1.getName().endsWith("java")||f1.getName().endsWith("xml")||f1.getName().endsWith("jsp")||f1.getName().endsWith("js")){
            		System.out.println(f1.getAbsolutePath()+"\\"+f1.getName());
            		f1.delete();
            	}
            }
        }  
        return fileList;
    }  
}
